<?php
/**
 * Main init file for the plugin.
 *
 * @package Fast_Plugin
 *
 * @copyright 2017 Oxygenna.com
 * @license http://themeforest.net/licenses/standard
 * @version 1.5.0
 * @author Oxygenna
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

require FAST_PLUGIN_DIR . 'classes/class-ticket-plugin-rest-ticket-controller.php';
require FAST_PLUGIN_DIR . 'classes/class-ticket-plugin-rest-purchase-controller.php';

require FAST_PLUGIN_DIR . 'inc/functions.php';
require FAST_PLUGIN_DIR . 'inc/filters.php';
require FAST_PLUGIN_DIR . 'inc/actions.php';

require FAST_PLUGIN_DIR . 'lib/theme-options/theme-options.php';

if (is_admin()) {
    require FAST_PLUGIN_DIR . 'inc/admin/filters.php';
    require FAST_PLUGIN_DIR . 'inc/admin/actions.php';
}

// If woocommerce is active and plugin is in woocommerce mode then load the woocommerce code.
if (fast_is_woocommerce_active()) {
    require FAST_PLUGIN_DIR . 'inc/woocommerce/filters.php';
    require FAST_PLUGIN_DIR . 'inc/woocommerce/actions.php';
}
