<?php
/**
 * Template for extra fields options page
 *
 * @package Fast Plugin
 *
 * @copyright 2017 Oxygenna.com
 * @license http://themeforest.net/licenses/standard
 * @version 1.5.0
 * @author Oxygenna
 */

?>
<p><?php
    // translators: Number of tickets.
    printf(esc_html__('You currently have %s extra fields set for your tickets.', 'fast-plugin'), count($extra_fields->fields));
    ?></p>
<?php if (!empty($extra_fields->fields)) : ?>
<table class="wp-list-table widefat fixed striped">
    <thead>
        <tr>
            <th><?php esc_html_e('Label', 'fast-plugin'); ?></th>
            <th><?php esc_html_e('Element', 'fast-plugin'); ?></th>
            <th><?php esc_html_e('Id', 'fast-plugin'); ?></th>
            <th><?php esc_html_e('name', 'fast-plugin'); ?></th>
        </tr>
    </thead>
    <tbody>
        <?php foreach ($extra_fields->fields as $field) : ?>
        <tr>
            <td><?php echo esc_html($field->label); ?>
            <td><?php echo esc_html($field->element); ?>
            <td><?php echo esc_html($field->id); ?>
            <td><?php echo esc_html($field->name); ?>
        </tr>
        <?php endforeach; ?>
    </tbody>
</table>
<?php endif; ?>
<br>
<a href="<?php echo esc_url($builder_link); ?>" class="button button-primary"><?php esc_html_e('Launch Form Builder', 'fast-plugin'); ?></a>


